> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a device by ID



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi delete /v1/devices/{id}
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/devices/{id}:
    delete:
      tags:
        - Devices
      summary: Delete a device by ID
      operationId: deleteV1DevicesById
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: number
      responses:
        '200':
          description: Device deleted successfully
        '400':
          description: Invalid device ID
        '404':
          description: User or device not found
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````